from datetime import datetime
from typing import List, Optional, Dict, Any

from janis_core import *
from janis_core.types.common_data_types import Boolean, String

Guppy_Mft_V0_1_0 = CommandToolBuilder(tool="guppy_mft", base_command=["guppy", "mft"], inputs=[ToolInput(tag="in_specify_filename_write", input_type=Boolean(optional=True), prefix="-o", doc=InputDocumentation(doc="Specify the filename to write to.")), ToolInput(tag="in_out_dir", input_type=Boolean(optional=True), prefix="--out-dir", doc=InputDocumentation(doc="Specify the directory to write files to.")), ToolInput(tag="in_prefix", input_type=Boolean(optional=True), prefix="--prefix", doc=InputDocumentation(doc="Specify a string to be prepended to filenames.")), ToolInput(tag="in_unit_ize", input_type=Boolean(optional=True), prefix="--unitize", doc=InputDocumentation(doc="Make total unit mass per placerun by multiplying with a scalar.")), ToolInput(tag="in_transform", input_type=Boolean(optional=True), prefix="--transform", doc=InputDocumentation(doc="A transform to apply to the read multiplicities before calculating. Options are 'log', 'unit', 'asinh', and 'no_trans'. Default is no transform.")), ToolInput(tag="in_help", input_type=Boolean(optional=True), prefix="--help", doc=InputDocumentation(doc="Display this list of options")), ToolInput(tag="in_mft", input_type=String(), position=0, doc=InputDocumentation(doc="")), ToolInput(tag="in_place_file", input_type=String(), position=1, doc=InputDocumentation(doc="")), ToolInput(tag="in_s", input_type=String(optional=True), position=2, doc=InputDocumentation(doc=""))], outputs=[], container="quay.io/biocontainers/sepp:4.5.1--py37_0", version="v0.1.0")


if __name__ == "__main__":
    # or "cwl"
    Guppy_Mft_V0_1_0().translate("wdl")

